
CN Index - Bug #7817

The processIndexTaskQueue method on IndexTaskProcessor doesn't pick up all the failed tasks

2016-05-23 18:51 - Jing Tao

Status: Closed Start date: 2016-05-23

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: d1_cn_index_processor Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Story Points:    

Description

The processIndexTaskQueue method suppose to pick all failed the index tasks for reindexing. However, it only picked up first couple

ones.

History

#1 - 2016-06-10 18:14 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

- Target version changed from CCI-2.3.0 to CCI-2.2.0

In the processIndexTaskQueue method of  src/main/java/org/dataone/cn/index/processor/IndexTaskProcessor.java,  in the while loop, we need to get

the index task from the retryQueue rather than the new task queue.

#2 - 2016-06-10 18:15 - Jing Tao

The trunk was fixed and we need to merge it to the 2.2 branch.

#3 - 2016-06-10 18:17 - Jing Tao

- Category set to d1_cn_index_processor

- Project changed from Infrastructure to CN Index

#4 - 2016-06-10 18:35 - Jing Tao

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

Merge the change to the 2.2 branch.
